function [Q,R] = orthit(A, nit, Q) 
%% function [Q] = orthit(A, nit, Q) 
%% does nit steps of the orthogonal
%% iteration - 
%% 
 for i=1:nit
     X = A*Q; 
     [Q, R] = qr(X,0); 
     R = Q'*A*Q;
     res = norm(A*Q - Q*R) ;
fprintf(1,...
' iter %3d -> res=%12.4e \n',i,res);
     end
 end

