  function [sol,ro1] = CG (A, sol, rhs, m, tol) 
%----------------------------------------------------------------------- 
% % Conjugate gradient algorithm 
%  cg (A, sol, rhs, m, tol) 
% sol = initial guess on entry -- app sol on return 
% rhs = rhs, m = number of sttol --
% m = max number of sttol 
% tol = tolerabce 
%----------------------------------------------------------------------- 
% 
 n = size(A,1); 
% 
 r = rhs - A * sol;
 p = r ; 
 ro1 = r' * r; 
 tol1 = tol*tol*ro1; 
%%
 j = 0 
 while (j < m && ro1 > tol1) 
	 j = j+1; 
	 ro = ro1; 
	 ap = A * p; 
	 alp = ro / ( ap * p' ) ;
	 x = x + alp * p ;
	 r = r - alp * ap; 
	 ro1= r'*r;
	 bet = ro1 / ro ;
	 p = r + bet * p; 
  end
 end 
         
