function [L, D]  = ldlt2 (A)
%--------------------------------------------
% function [L, D]  = ludlt2 (A)
%--------------------------------------------
 n = size(A,1) ;
 for k=1:n
    A(k,k) = sqrt(A(k,k));
    A(k:n,k) = A(k:n,k) / A(k,k) ; 
    for i=k+1:n
        piv = A(i,k) * A(k,k) ; 
        A(i:n,i)=A(i:n,i)-piv*A(i:n,k);
    end
 end 
 L = tril(A);
