  function x = forwsolv(L,b) 
%----------------------------------
% function x = forwsolv(L,b) 
% Solves an upper triangular system
% by forward substitution. 
%----------------------------------
 n = size(L,1); x = b ; 
 for i=2:n 
     x(i) = x(i) - L(i,1:i-1)*x(1:i-1) ; 
 end 


