function [A] = tridmak(b,d,a)
%% makes tridiagonal matrix with diagonals
%% b (-1), d (0) and a (1) 
%% b,d,a are assumed to be of size n
n = length(d);
A = diag(b(2:n),-1) + diag(d,0) + diag(a(1:n-1),1);
a(n) = 0;
b(1) = 0;
