function mygplot(A,xy, lab, ND)
%%
[i,j] = find(A);
ll = lab(j);
[ll, p] = sort(ll);
%%--------------------[ignore, p] = sort(max(i,j));
i = i(p);
j = j(p);
%%
%%colors='rbgkcm';
dots = 'ox*+vs<^';
%%
colors = exp(-2.0*rand(12,3));

%
typ = 0;
for ncurv=1:ND
    X = [];
    Y = [];
    list = find(ll==ncurv);
    for k = list(:)' 
        ii = i(k);
        jj = j(k);
        if (ii < jj) 
            continue;
        end  
        if (lab(ii)==lab(jj)) 
          X = [X, xy(ii,1), xy(jj,1), NaN] ;
          Y = [Y, xy(ii,2), xy(jj,2), NaN]  ;
        end %%if
    end  %% for k
   typ = mod(typ,8)+1;
   plot(X,Y,'linestyle','-','marker',dots(typ),'color',colors(typ,:),...
   'linewidth',2);
hold on
end   %% ncurv

