
close all

%%nx = 18;  ny = 24;
%[X,Y,A] = graph0(nx, ny);
[X, Y, tri, A] = create_graph;

%%get_mesh

 N  = size(A,1) ;
 XY = [X'; Y'];
%%-------------------- make it a laplacean graph 
 A = abs(A);
%%
 d = A*ones(N,1) ;
%%--- non-normalized
%% A = diag(d) - A;
%
%%normalized
 d = sqrt(1.0 ./ d);
 D = spdiags(d,0,N,N);
 A = speye(N) -D*A*D;
%%

msteps = 200;
nev = 2;
[YY, lam] = Lan(A, nev,msteps,'ascend');
v = YY(:,nev);
%% 
[t, kmed] = min(abs(v-median(v)));
t = v(kmed);
for i=1:N
    if (v(i)>t) 
       lab(i) = 1;
    else 
       lab(i) = 2;
    end
end
    ND = 2;
%%-------------------- refine
% lab = refine(A,lab,ND) ;
%%-------------------- show plot.
figure(2) 
mygplot(A,XY',lab,ND) ;
for ii=1:ND
    disp(sum(lab==ii))
end
