function [y] = coo_matvec(A, x) 
%% matvec in coo format -- 
%% for illustration only 
[I, J, R] = find(A);
n = size(A,1); nz = nnz(A);
y = zeros(n,1); 
for k = 1:nz
    y(I(k)) = y(I(k)) + x(J(k))*R(k);
end

