 function [L,U] = ikj(A) 
%---------------------------------------------
% function [L,U] = ikj (A) 
% LU factorization of A. Uses ikj variant of GE
%---------------------------------------------
 n = size(A,1) ;
for i=1:n 
    for k=1:i-1 
        A(i,k) = A(i,k)/A(k,k); 
        A(i,k+1:n) = A(i,k+1:n) - A(i,k)*A(k,k+1:n);
     end
 end 
 L = diag(ones(n,1)) + tril(A,-1);
 U = triu(A);
