 function [L,U] = jki(A) 
%---------------------------------------------
% function [L,U] = jki(A) 
% LU fZactorization of A. Uses jki variant of GE
%---------------------------------------------
 n = size(A,1) ;
 for j=1:n 
   for k=1:j-1 
      A(k+1:n,j) = A(k+1:n,j) - A(k,j)*A(k+1:n,k);
   end
   A(j+1:n,j) =   A(j+1:n,j) / A(j,j);
 end 
 L = diag(ones(n,1)) + tril(A,-1);
 U = triu(A);
